summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArthur Zamarin <arthurzam@gentoo.org>2021-10-20 21:57:07 +0300
committerArthur Zamarin <arthurzam@gentoo.org>2021-10-20 22:21:00 +0300
commita761207b56ed45a822a8f9f602d3760f681878b8 (patch)
treebf58c35e6ef0e778bb09240a147cdb0c44b03e78 /dev-python/urwidtrees/files/urwidtrees-1.0.3-0001-Update-mock-dependency-to-install-when-necessary.patch
parentdev-python/kconfiglib: enable py3.10 (diff)
downloadgentoo-a761207b56ed45a822a8f9f602d3760f681878b8.tar.gz
gentoo-a761207b56ed45a822a8f9f602d3760f681878b8.tar.bz2
gentoo-a761207b56ed45a822a8f9f602d3760f681878b8.zip
dev-python/urwidtrees: enable py3.10, shorter patch name
Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
Diffstat (limited to 'dev-python/urwidtrees/files/urwidtrees-1.0.3-0001-Update-mock-dependency-to-install-when-necessary.patch')
-rw-r--r--dev-python/urwidtrees/files/urwidtrees-1.0.3-0001-Update-mock-dependency-to-install-when-necessary.patch30
1 files changed, 0 insertions, 30 deletions
diff --git a/dev-python/urwidtrees/files/urwidtrees-1.0.3-0001-Update-mock-dependency-to-install-when-necessary.patch b/dev-python/urwidtrees/files/urwidtrees-1.0.3-0001-Update-mock-dependency-to-install-when-necessary.patch
deleted file mode 100644
index d26d23e085f..00000000000
--- a/dev-python/urwidtrees/files/urwidtrees-1.0.3-0001-Update-mock-dependency-to-install-when-necessary.patch
+++ /dev/null
@@ -1,30 +0,0 @@
-From ed39dbc4fc67b0e0249bf108116a88cd18543aa9 Mon Sep 17 00:00:00 2001
-From: Louis Leseur <louis.leseur@gmail.com>
-Date: Wed, 26 Aug 2020 10:36:29 +0200
-Subject: [PATCH] Update mock dependency to install when necessary
-
-Closes: #48
----
- setup.py | 4 ++--
- 1 file changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/setup.py b/setup.py
-index 9f6e328..ab8ffdc 100755
---- a/setup.py
-+++ b/setup.py
-@@ -14,10 +14,10 @@ setup(
- url="https://github.com/pazz/urwidtrees",
- license="Licensed under the GNU GPL v3+.",
- packages=['urwidtrees'],
-- install_requires=['urwid>=1.1.0', 'mock'],
-+ install_requires=['urwid>=1.1.0'],
- extras_require={
- 'docs': [
-- 'mock',
-+ 'mock;python_version<"3.3"',
- ],
- },
- )
---
-2.26.3
-